## org.gnu.gdk
Class Rectangle

    java.lang.Object
      org.gnu.glib.Struct
          org.gnu.glib.Boxed
              org.gnu.gdk.Rectangle

public class Rectangle
extends Boxed

Constructor Summary
`Rectangle()` Construct an empty Rectangle
`Rectangle(org.gnu.glib.Handle handle)`
`Rectangle(int x, int y, int width, int height)` Construct a Rectangle providing the x and y left-top coordinates, width and height.

Method Summary
`int` `getHeight()` Retrieve the height of the Rectangle.
`static Rectangle` `getRectangle(org.gnu.glib.Handle handle)` For internal use of Java-Gnome only;
`static Type` `getType()` Retrieve the runtime type used by the GLib library.
`int` `getWidth()` Retrieve the width of the Rectangle.
`int` `getX()` Retrieve the x coordinate for the Rectangle.
`int` `getY()` Retrieve the y coordinate for the Rectangle.
`Rectangle` `intersect(Rectangle rect)` Returns the intersection of this Rectangle and the provided Rectangle or null if there is no intersection.
`void` `setHeight(int heigth)` Set the height of the Rectangle.
`void` `setWidth(int width)` Set the width of the Rectangle.
`void` `setX(int x)` Set the x coordinate for the Rectangle.
`void` `setY(int y)` Set the y coordinate for the Rectangle.
`Rectangle` `union(Rectangle rect)` Returns the union of this Rectangle and the provided Rectangle or null if there is no union.

Methods inherited from class org.gnu.glib.Boxed
`equals, getBoxedFromHandle, hashCode`

Methods inherited from class org.gnu.glib.Struct
`getHandle, getNullHandle`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Rectangle

    public Rectangle()

  Construct an empty Rectangle

### Rectangle

    public Rectangle(int x,
                     int y,
                     int width,
                     int height)

  Construct a Rectangle providing the x and y left-top coordinates, width and height.

Parameters:
  `x` -
  `y` -
  `width` -
  `height` -

### Rectangle

    public Rectangle(org.gnu.glib.Handle handle)

Method Detail

### getRectangle

    public static Rectangle getRectangle(org.gnu.glib.Handle handle)

  For internal use of Java-Gnome only;

### getX

    public int getX()

  Retrieve the x coordinate for the Rectangle.

### setX

    public void setX(int x)

  Set the x coordinate for the Rectangle.

  Parameters:
    `x` -

### getY

    public int getY()

  Retrieve the y coordinate for the Rectangle.

### setY

    public void setY(int y)

  Set the y coordinate for the Rectangle.

  Parameters:
    `y` -

### getWidth

    public int getWidth()

  Retrieve the width of the Rectangle.

### setWidth

    public void setWidth(int width)

  Set the width of the Rectangle.

  Parameters:
    `width` -

### getHeight

    public int getHeight()

  Retrieve the height of the Rectangle.

### setHeight

    public void setHeight(int heigth)

  Set the height of the Rectangle.

  Parameters:
    `heigth` -

### intersect

    public Rectangle intersect(Rectangle rect)

  Returns the intersection of this Rectangle and the provided Rectangle or null if there is no intersection.

  Parameters:
    `rect` -

### union

    public Rectangle union(Rectangle rect)

  Returns the union of this Rectangle and the provided Rectangle or null if there is no union.

  Parameters:
    `rect` -

### getType

    public static Type getType()

  Retrieve the runtime type used by the GLib library.